import dataclasses as dc

from armarx_skills.manager import dto
from armarx_memory.ice_conv.ice_converter import IceConverter


@dc.dataclass
class TypeIdentificator:
    skillId: str
    parameterId: str


class FluxioTypeIdentificatorConv(IceConverter):
    def __init__(self):
        super().__init__()

    @classmethod
    def _import_dto(cls):
        return dto.FluxioTypeIdentificator

    def _from_ice(self, dt: dto.FluxioTypeIdentificator) -> TypeIdentificator:
        return TypeIdentificator(skillId=dt.skillId, parameterId=dt.parameterId)

    def _to_ice(self, bo: TypeIdentificator) -> dto.FluxioTypeIdentificator:
        return dto.FluxioTypeIdentificator(
            skillId=bo.skillId, parameterId=bo.parameterId
        )
