import dataclasses as dc

from armarx_memory.ice_conv.ice_converter import IceConverter
from armarx_skills.provider import dto


@dc.dataclass
class AbortSkillResult:
    success: bool



class AbortSkillResultConv(IceConverter):

    @classmethod
    def _import_dto(cls):
        return dto.AbortSkillResult

    def _from_ice(self, dt: dto.AbortSkillResult) -> AbortSkillResult:
        return AbortSkillResult(
            success=dt.success,
        )

    def _to_ice(self, bo: AbortSkillResult) -> dto.AbortSkillResult:
        return dto.AbortSkillResult(
            success=bo.success,
        )
